Subject: RE: [NSIS] state management and the nsis framework

From: [email-masked]
Date: Thu, 22 May 2003 12:00:08 +0300

Hi Georgios,

> I think that your description is right!
> However, I do not know what kind of healing process you have
> in mind. The soft state procedures can be considered as a healing process.
> In my opinion, when, per signaling application, a NTLP state and a NSLP
> state are used within one NSIS entity then the NTLP and NSLP healing 
> process(es), on each NSIS entity, are very much inter-related.
> Thus quick updating of new NSLP nodes and automatic dropping 
> of stale state in NSLP nodes lost from the path are signifficant issues.

Soft-state is definately a healing process, but in addition, I have always
imagined that a NSLP layer could undertake action if needed as well.  For
example, if an NSLP notices that there is some problem, it need not
wait for softstate timeout, before it undertakes corrective procedures.

br,
John
_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis

---

From: "Georgios Karagiannis" <[email-masked]>
Date: Thu, 22 May 2003 11:10:44 +0200

Hi John

I agree!

Best Regards,
Georgios